#2191 closed defect (fixed)

RTL allocator does not check NULL pointer (Coverity 1255328)

Reported by: Chris Johns Owned by: Chris Johns
Priority: highest Milestone: 4.11
Component: lib/dl Version: 4.11
Severity: blocker Keywords: RTL
Cc: Blocked By:
Blocking:

Description (last modified by Chris Johns)

Coverity (defect 1255328) has detected a possible NULL pointer access in the RTL allocator.

Change History (7)

comment:1 Changed on Nov 19, 2014 at 9:39:54 PM by Chris Johns

Description: modified (diff)

comment:2 Changed on Nov 19, 2014 at 9:52:23 PM by Chris Johns <chrisj@…>

In 90f65007e96b98362aacdc39f6f730956324b94c/rtems:

libdl: Fix allocator NULL check (Coverity 1255328) refs #2191

The address returned from the allocator call was not checked when zeroing
the memory.

comment:3 Changed on Nov 19, 2014 at 9:52:53 PM by Chris Johns <chrisj@…>

In 80590a8ecffbe3d61a28ccb64d2dc04a0612e52b/rtems:

libdl: Add a comment to the previous fix.

The fix is ref #2191.

comment:4 Changed on Nov 19, 2014 at 9:53:02 PM by Chris Johns <chrisj@…>

In 4f1bbbfcdf991470e46456324c5be57cedf7390c/rtems:

libdl: Add a comment.

See ref #2191.

comment:5 Changed on Nov 19, 2014 at 11:34:06 PM by Chris Johns <chrisj@…>

In 2ae58c695fc965f5f2f203907d38ed0aa183f1de/rtems:

libdl: Update the comments.

See refs #2191.

comment:6 Changed on Nov 20, 2014 at 7:20:43 AM by Chris Johns

Resolution: fixed
Status: newclosed

Fixed on HEAD.

comment:7 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.